twitter4j

## Interface User

All Superinterfaces:
  Comparable<User>, Serializable, TwitterResponse

    public interface User
    extends Comparable<User>, TwitterResponse, Serializable

A data interface representing Basic user information element

Author:
  Yusuke Yamamoto - yusuke at mac.com

### Field Summary

### Fields inherited from interface twitter4j.TwitterResponse

`NONE, READ, READ_WRITE, READ_WRITE_DIRECTMESSAGES`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `get400x400ProfileImageURL()`
`String` `get400x400ProfileImageURLHttps()`
`String` `getBiggerProfileImageURL()`
`String` `getBiggerProfileImageURLHttps()`
`Date` `getCreatedAt()`
`String` `getDescription()` Returns the description of the user
`URLEntity[]` `getDescriptionURLEntities()` Returns URL entities for user description.
`String` `getEmail()` Returns the email of the user, if the app is whitelisted by Twitter
`int` `getFavouritesCount()`
`int` `getFollowersCount()` Returns the number of followers
`int` `getFriendsCount()` Returns the number of users the user follows (AKA "followings")
`long` `getId()` Returns the id of the user
`String` `getLang()` Returns the preferred language of the user
`int` `getListedCount()` Returns the number of public lists the user is listed on, or -1 if the count is unavailable.
`String` `getLocation()` Returns the location of the user
`String` `getMiniProfileImageURL()`
`String` `getMiniProfileImageURLHttps()`
`String` `getName()` Returns the name of the user
`String` `getOriginalProfileImageURL()`
`String` `getOriginalProfileImageURLHttps()`
`String` `getProfileBackgroundColor()`
`String` `getProfileBackgroundImageURL()`
`String` `getProfileBackgroundImageUrlHttps()`
`String` `getProfileBanner1500x500URL()`
`String` `getProfileBanner300x100URL()`
`String` `getProfileBanner600x200URL()`
`String` `getProfileBannerIPadRetinaURL()`
`String` `getProfileBannerIPadURL()`
`String` `getProfileBannerMobileRetinaURL()`
`String` `getProfileBannerMobileURL()`
`String` `getProfileBannerRetinaURL()`
`String` `getProfileBannerURL()`
`String` `getProfileImageURL()` Returns the profile image url of the user
`String` `getProfileImageURLHttps()`
`String` `getProfileLinkColor()`
`String` `getProfileSidebarBorderColor()`
`String` `getProfileSidebarFillColor()`
`String` `getProfileTextColor()`
`String` `getScreenName()` Returns the screen name of the user
`Status` `getStatus()` Returns the current status of the user This can be null if the instance if from Status.getUser().
`int` `getStatusesCount()`
`String` `getTimeZone()`
`String` `getURL()` Returns the url of the user
`URLEntity` `getURLEntity()` Returns URL entity for user's URL.
`int` `getUtcOffset()`
`String[]` `getWithheldInCountries()` Returns the list of country codes where the user is withheld
`boolean` `isContributorsEnabled()` Tests if the user is enabling contributors
`boolean` `isDefaultProfile()` Tests if the user has not altered the theme or background
`boolean` `isDefaultProfileImage()` Tests if the user has not uploaded their own avatar
`boolean` `isFollowRequestSent()` Returns true if the authenticating user has requested to follow this user, otherwise false.
`boolean` `isGeoEnabled()`
`boolean` `isProfileBackgroundTiled()`
`boolean` `isProfileUseBackgroundImage()`
`boolean` `isProtected()` Test if the user status is protected
`boolean` `isShowAllInlineMedia()`
`boolean` `isTranslator()`
`boolean` `isVerified()`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface twitter4j.TwitterResponse

`getAccessLevel, getRateLimitStatus`

### Method Detail

#### getId

    long getId()

Returns the id of the user

Returns:
  the id of the user

#### getName

    String getName()

Returns the name of the user

Returns:
  the name of the user

#### getEmail

    String getEmail()

Returns the email of the user, if the app is whitelisted by Twitter

Returns:
  the email of the user

#### getScreenName

    String getScreenName()

Returns the screen name of the user

Returns:
  the screen name of the user

#### getLocation

    String getLocation()

Returns the location of the user

Returns:
  the location of the user

#### getDescription

    String getDescription()

Returns the description of the user

Returns:
  the description of the user

#### isContributorsEnabled

    boolean isContributorsEnabled()

Tests if the user is enabling contributors

Returns:
  if the user is enabling contributors
Since:
  Twitter4J 2.1.2

#### getProfileImageURL

    String getProfileImageURL()

Returns the profile image url of the user

Returns:
  the profile image url of the user

#### getBiggerProfileImageURL

    String getBiggerProfileImageURL()

#### getMiniProfileImageURL

    String getMiniProfileImageURL()

#### getOriginalProfileImageURL

    String getOriginalProfileImageURL()

#### get400x400ProfileImageURL

    String get400x400ProfileImageURL()

Returns:
  profile image url
Since:
  Twitter4J 4.0.7

#### getProfileImageURLHttps

    String getProfileImageURLHttps()

#### getBiggerProfileImageURLHttps

    String getBiggerProfileImageURLHttps()

#### getMiniProfileImageURLHttps

    String getMiniProfileImageURLHttps()

#### getOriginalProfileImageURLHttps

    String getOriginalProfileImageURLHttps()

#### get400x400ProfileImageURLHttps

    String get400x400ProfileImageURLHttps()

Returns:
  profile image url
Since:
  Twitter4J 4.0.7

#### isDefaultProfileImage

    boolean isDefaultProfileImage()

Tests if the user has not uploaded their own avatar

Returns:
  if the user has not uploaded their own avatar

#### getURL

    String getURL()

Returns the url of the user

Returns:
  the url of the user

#### isProtected

    boolean isProtected()

Test if the user status is protected

Returns:
  true if the user status is protected

#### getFollowersCount

    int getFollowersCount()

Returns the number of followers

Returns:
  the number of followers
Since:
  Twitter4J 1.0.4

#### getStatus

    Status getStatus()

Returns the current status of the user
This can be null if the instance if from Status.getUser().

Returns:
  current status of the user
Since:
  Twitter4J 2.1.1

#### getProfileBackgroundColor

    String getProfileBackgroundColor()

#### getProfileTextColor

    String getProfileTextColor()

#### getProfileLinkColor

    String getProfileLinkColor()

#### getProfileSidebarFillColor

    String getProfileSidebarFillColor()

#### getProfileSidebarBorderColor

    String getProfileSidebarBorderColor()

#### isProfileUseBackgroundImage

    boolean isProfileUseBackgroundImage()

#### isDefaultProfile

    boolean isDefaultProfile()

Tests if the user has not altered the theme or background

Returns:
  if the user has not altered the theme or background

#### isShowAllInlineMedia

    boolean isShowAllInlineMedia()

#### getFriendsCount

    int getFriendsCount()

Returns the number of users the user follows (AKA "followings")

Returns:
  the number of users the user follows

#### getCreatedAt

    Date getCreatedAt()

#### getFavouritesCount

    int getFavouritesCount()

#### getUtcOffset

    int getUtcOffset()

#### getTimeZone

    String getTimeZone()

#### getProfileBackgroundImageURL

    String getProfileBackgroundImageURL()

#### getProfileBackgroundImageUrlHttps

    String getProfileBackgroundImageUrlHttps()

#### getProfileBannerURL

    String getProfileBannerURL()

Returns:
  profile banner URL
Since:
  Twitter4J 3.0.0

#### getProfileBannerRetinaURL

    String getProfileBannerRetinaURL()

Returns:
  profile banner retina URL
Since:
  Twitter4J 3.0.0

#### getProfileBannerIPadURL

    String getProfileBannerIPadURL()

Returns:
  profile banner iPad URL
Since:
  Twitter4J 3.0.0

#### getProfileBannerIPadRetinaURL

    String getProfileBannerIPadRetinaURL()

Returns:
  profile banner iPad retina URL
Since:
  Twitter4J 3.0.0

#### getProfileBannerMobileURL

    String getProfileBannerMobileURL()

Returns:
  profile banner mobile URL
Since:
  Twitter4J 3.0.0

#### getProfileBannerMobileRetinaURL

    String getProfileBannerMobileRetinaURL()

Returns:
  profile banner mobile retina URL
Since:
  Twitter4J 3.0.0

#### getProfileBanner300x100URL

    String getProfileBanner300x100URL()

Returns:
  profile banner 300x100 URL
Since:
  Twitter4J 4.0.7

#### getProfileBanner600x200URL

    String getProfileBanner600x200URL()

Returns:
  profile banner 600x200 URL
Since:
  Twitter4J 4.0.7

#### getProfileBanner1500x500URL

    String getProfileBanner1500x500URL()

Returns:
  profile banner 1500x500 URL
Since:
  Twitter4J 4.0.7

#### isProfileBackgroundTiled

    boolean isProfileBackgroundTiled()

#### getLang

    String getLang()

Returns the preferred language of the user

Returns:
  the preferred language of the user
Since:
  Twitter4J 2.1.2

#### getStatusesCount

    int getStatusesCount()

#### isGeoEnabled

    boolean isGeoEnabled()

Returns:
  the user is enabling geo location
Since:
  Twitter4J 2.0.10

#### isVerified

    boolean isVerified()

Returns:
  returns true if the user is a verified celebrity
Since:
  Twitter4J 2.0.10

#### isTranslator

    boolean isTranslator()

Returns:
  returns true if the user is a translator
Since:
  Twitter4J 2.1.9

#### getListedCount

    int getListedCount()

Returns the number of public lists the user is listed on, or -1 if the count is unavailable.

Returns:
  the number of public lists the user is listed on.
Since:
  Twitter4J 2.1.4

#### isFollowRequestSent

    boolean isFollowRequestSent()

Returns true if the authenticating user has requested to follow this user, otherwise false.

Returns:
  true if the authenticating user has requested to follow this user.
Since:
  Twitter4J 2.1.4

#### getDescriptionURLEntities

    URLEntity[] getDescriptionURLEntities()

Returns URL entities for user description.

Returns:
  URL entities for user description
Since:
  Twitter4J 3.0.3

#### getURLEntity

    URLEntity getURLEntity()

Returns URL entity for user's URL.

Returns:
  URL entity for user's URL.
Since:
  Twitter4J 3.0.3

#### getWithheldInCountries

    String[] getWithheldInCountries()

Returns the list of country codes where the user is withheld

Returns:
  list of country codes where the tweet is withheld - null if not withheld
Since:
  Twitter4j 4.0.3